Page MenuHomePhabricator

Switch `tmpItemTermsMigrationStages` to MIGRATION_WRITE_BOTH
Open, Needs TriagePublic

Description

would watch the logs for errors for couple of hours before moving on to running the rebuild script

Event Timeline

alaa_wmde created this task.Jun 5 2019, 6:50 AM
alaa_wmde set Due Date to Jun 24 2019, 10:00 PM.
alaa_wmde updated the task description. (Show Details)
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptJun 5 2019, 6:50 AM
alaa_wmde renamed this task from Switch `tmpItemTermsMigrationStage` to MIGRATION_WRITE_BOTH to Switch `tmpItemTermsTwoMillionMigrationStage` to MIGRATION_WRITE_BOTH.Jun 5 2019, 8:00 AM
alaa_wmde renamed this task from Switch `tmpItemTermsTwoMillionMigrationStage` to MIGRATION_WRITE_BOTH to Switch `tmpItemTermsMigrationStages` to MIGRATION_WRITE_BOTH.Jun 13 2019, 5:58 PM
alaa_wmde changed Due Date from Jun 24 2019, 10:00 PM to Jul 2 2019, 10:00 PM.Jun 13 2019, 6:00 PM

Change 517820 had a related patch set uploaded (by Alaa Sarhan; owner: Alaa Sarhan):
[operations/mediawiki-config@master] Switch property terms migration to WRITE_BOTH on test wikidata

https://gerrit.wikimedia.org/r/517820

alaa_wmde added a comment.EditedJun 19 2019, 10:06 AM

Change 517820 had a related patch set uploaded (by Alaa Sarhan; owner: Alaa Sarhan):
[operations/mediawiki-config@master] Switch property terms migration to WRITE_BOTH on test wikidata
https://gerrit.wikimedia.org/r/517820

ignore: wrong association by mistake

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:37 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJul 31 2019, 11:04 AM

Change 526646 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Fix typo in name of config

https://gerrit.wikimedia.org/r/526646

Change 526646 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix typo in name of config

https://gerrit.wikimedia.org/r/526646

Mentioned in SAL (#wikimedia-operations) [2019-07-31T11:40:17Z] <ladsgroup@deploy1001> Synchronized wmf-config/Wikibase.php: SWAT: [[gerrit:526646|Fix typo in name of config (T225055) (duration: 00m 47s)

Change 526659 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Order keys in ByIdDispatchingItemTermStore

https://gerrit.wikimedia.org/r/526659

Change 526659 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Order keys in ByIdDispatchingItemTermStore

https://gerrit.wikimedia.org/r/526659

Change 528103 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] labs: Set half of wikidata to read from the new term store

https://gerrit.wikimedia.org/r/528103

Change 528103 merged by jenkins-bot:
[operations/mediawiki-config@master] labs: Set half of wikidata to read from the new term store

https://gerrit.wikimedia.org/r/528103

Is this waiting for some other task to be done? Sorry for possibly asking about obvious stuff, I've lost orientation in the state of the migration.

It's sorta got blocked on T229816: RebuildItemTerms (and probably RebuildPropertyTerms) explodes when there's a (double) redirect (most of the task description got removed making it a little bit hard to understand IMO). But since it got resolved yesterday and today I tried it in beta cluster and it worked. I'm moving forward with this in test wikidata first though.

It's sorta got blocked on T229816: RebuildItemTerms (and probably RebuildPropertyTerms) explodes when there's a (double) redirect (most of the task description got removed making it a little bit hard to understand IMO). But since it got resolved yesterday and today I tried it in beta cluster and it worked. I'm moving forward with this in test wikidata first though.

Plus the fact that switching property terms exploded production and we needed to make sure things are alright. That got resolved in Monday.

Change 532983 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Enable WRITE_BOTH for items term store for testwikidatawiki

https://gerrit.wikimedia.org/r/532983

Change 532983 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable WRITE_BOTH for items term store for testwikidatawiki

https://gerrit.wikimedia.org/r/532983

Mentioned in SAL (#wikimedia-operations) [2019-08-28T11:48:27Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:532983|Enable WRITE_BOTH for items term store for testwikidatawiki (T225055)]] (duration: 00m 54s)

Change 533882 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Enable WRITE_BOTH for items term store for wikidata

https://gerrit.wikimedia.org/r/533882

Change 533882 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable WRITE_BOTH for items term store for wikidata

https://gerrit.wikimedia.org/r/533882

Mentioned in SAL (#wikimedia-operations) [2019-09-03T11:07:27Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:533882|Enable WRITE_BOTH for items term store for wikidatawiki (T225055)]] (duration: 00m 55s)

Change 534183 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Set item terms migration stage for Wikidata on WRITE_BOTH up to Q2m

https://gerrit.wikimedia.org/r/534183

Change 534183 merged by jenkins-bot:
[operations/mediawiki-config@master] Set item terms migration stage for Wikidata on WRITE_BOTH up to Q2m

https://gerrit.wikimedia.org/r/534183

Mentioned in SAL (#wikimedia-operations) [2019-09-04T11:37:47Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:534183|Set item terms migration stage for Wikidata on WRITE_BOTH up to Q2m (T225055)]] (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2019-09-04T11:37:47Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:534183|Set item terms migration stage for Wikidata on WRITE_BOTH up to Q2m (T225055)]] (duration: 00m 55s)

This is done. Tomorrow we push for the rest.

Change 535521 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Set items term store on write both for all of Wikidata

https://gerrit.wikimedia.org/r/535521

Change 535521 merged by jenkins-bot:
[operations/mediawiki-config@master] Set items term store on write both for all of Wikidata

https://gerrit.wikimedia.org/r/535521

Mentioned in SAL (#wikimedia-operations) [2019-09-10T11:06:02Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: 6afe963: Set items term store on write both for all of Wikidata (T225055) (duration: 00m 55s)

Change 535815 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Set item terms on write both up to Q10mio

https://gerrit.wikimedia.org/r/535815

Change 535815 merged by jenkins-bot:
[operations/mediawiki-config@master] Set item terms on write both up to Q10mio

https://gerrit.wikimedia.org/r/535815

Mentioned in SAL (#wikimedia-operations) [2019-09-11T11:15:28Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:535815|Set item terms on write both up to Q10mio (T225055)]] (duration: 01m 03s)

Change 536167 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Set item terms on write both up to Q20Mio

https://gerrit.wikimedia.org/r/536167

Change 536167 merged by jenkins-bot:
[operations/mediawiki-config@master] Set item terms on write both up to Q20Mio

https://gerrit.wikimedia.org/r/536167

Mentioned in SAL (#wikimedia-operations) [2019-09-12T12:03:25Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:536167|Set item terms on write both up to Q20mio (T225055)]] (duration: 01m 31s)